# Class WorkflowTrace

WorkflowTrace Class

- Defined in packages/saltcorn-data/models/workflow_trace.ts:15

##### Index

### Constructors

constructor

### Properties

context
elapsed
error?
id?
run_id
status
step_name_run
step_started_at
user_id?
wait_info?

### Accessors

toJson

### Methods

delete
count
create
find
findOne

## Constructors

### constructor

- new WorkflowTrace(o: WorkflowTrace | WorkflowTraceCfg): WorkflowTrace

  WorkflowTrace constructor

  #### Parameters

  - o: WorkflowTrace | WorkflowTraceCfg

  #### Returns WorkflowTrace

  - Defined in packages/saltcorn-data/models/workflow_trace.ts:31

## Properties

### context

context: any

- Defined in packages/saltcorn-data/models/workflow_trace.ts:18

### elapsed

elapsed: number

- Defined in packages/saltcorn-data/models/workflow_trace.ts:22

### `Optional` error

error?: string

- Defined in packages/saltcorn-data/models/workflow_trace.ts:24

### `Optional` id

id?: number

- Defined in packages/saltcorn-data/models/workflow_trace.ts:16

### run_id

run_id: number

- Defined in packages/saltcorn-data/models/workflow_trace.ts:17

### status

status: "Error" | "Pending" | "Running" | "Finished" | "Waiting"

- Defined in packages/saltcorn-data/models/workflow_trace.ts:25

### step_name_run

step_name_run: string

- Defined in packages/saltcorn-data/models/workflow_trace.ts:19

### step_started_at

step_started_at: Date

- Defined in packages/saltcorn-data/models/workflow_trace.ts:21

### `Optional` user_id

user_id?: number

- Defined in packages/saltcorn-data/models/workflow_trace.ts:23

### `Optional` wait_info

wait_info?: any

- Defined in packages/saltcorn-data/models/workflow_trace.ts:20

## Accessors

### toJson

- get toJson(): any

  #### Returns any

  - Defined in packages/saltcorn-data/models/workflow_trace.ts:59

## Methods

### delete

- delete(): Promise<void>

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/models/workflow_trace.ts:93

### `Static` count

- count(where?: Where): Promise<number>

  #### Parameters

  - `Optional` where: Where

  #### Returns Promise<number>

  - Defined in packages/saltcorn-data/models/workflow_trace.ts:105

### `Static` create

- create(run_in: WorkflowTraceCfg): Promise<WorkflowTrace>

  #### Parameters

  - run_in: WorkflowTraceCfg

  #### Returns Promise<WorkflowTrace>

  - Defined in packages/saltcorn-data/models/workflow_trace.ts:49

### `Static` find

- find(where: Where, selectopts?: SelectOptions): Promise<WorkflowTrace[]>

  #### Parameters

  - where: Where
  - `Optional` selectopts: SelectOptions

  #### Returns Promise<WorkflowTrace[]>

  - Defined in packages/saltcorn-data/models/workflow_trace.ts:69

### `Static` findOne

- findOne(where: Where): Promise<WorkflowTrace>

  #### Parameters

  - where: Where

  #### Returns Promise<WorkflowTrace>

  - Defined in packages/saltcorn-data/models/workflow_trace.ts:81